Bug 124487 - suspend/resume fails when acpi=off
suspend/resume fails when acpi=off
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
2
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-05-26 18:28 EDT by cam
Modified: 2015-01-04 17:06 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-04-16 00:41:17 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description cam 2004-05-26 18:28:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8a2)
Gecko/20040521

Description of problem:
While disabling acpi to get important features like control of display
brightness and battery level, I found that suspend/resume was broken.

Previously I had tried to upgrade from 2.4 based Fedora Core 1. I kept
going back to the 2.4 kernel. Eventually I did a clean install of FC2
which had working suspend/resume under acpi. However that doesn't show
battery level.

I found that when booting with acpi=off the machine will suspend but
hangs on attempting to resume. I have some hope of a fix because until
recent kernels 2.6 used to do this for ACPI too.

The machine is a Pentium III (Coppermine)
Here is the output of lspci:
00:00.0 Host bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX Host
bridge (rev 03)
00:01.0 PCI bridge: Intel Corp. 440BX/ZX/DX - 82443BX/ZX/DX AGP bridge
(rev 03)
00:07.0 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ISA (rev 02)
00:07.1 IDE interface: Intel Corp. 82371AB/EB/MB PIIX4 IDE (rev 01)
00:07.2 USB Controller: Intel Corp. 82371AB/EB/MB PIIX4 USB (rev 01)
00:07.3 Bridge: Intel Corp. 82371AB/EB/MB PIIX4 ACPI (rev 03)
00:0b.0 Ethernet controller: Accton Technology Corporation EN-1216
Ethernet Adapter (rev 11)
00:0c.0 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus
Controller
00:0c.1 CardBus bridge: Texas Instruments PCI4451 PC card Cardbus
Controller
00:0c.2 FireWire (IEEE 1394): Texas Instruments PCI4451 IEEE-1394
Controller
00:0e.0 Multimedia audio controller: ESS Technology ES1988 Allegro-1
(rev 12)
00:0e.1 Communication controller: ESS Technology ESS Modem (rev 12)
01:00.0 VGA compatible controller: ATI Technologies Inc Rage Mobility
P/M AGP 2x (rev 64)



Version-Release number of selected component (if applicable):
kernel-2.6.5-1.358, kernel-2.6.6-1.383

How reproducible:
Always

Steps to Reproduce:
1.boot FC2 with boot argument acpi=off on Sharp PC-AR50 laptop
2.suspend by closing lid
3.try to unsuspend by opening lid
    

Actual Results:  The machine tries to wake and freezes with the fan on
and the screen off

Expected Results:  exit from suspend and resume normal operation
Comment 1 Dave Jones 2005-04-16 00:41:17 EDT
Fedora Core 2 has now reached end of life, and no further updates will be
provided by Red Hat.  The Fedora legacy project will be producing further kernel
updates for security problems only.

If this bug has not been fixed in the latest Fedora Core 2 update kernel, please
try to reproduce it under Fedora Core 3, and reopen if necessary, changing the
product version accordingly.

Thank you.

Note You need to log in before you can comment on or make changes to this bug.